Package org.eclipse.core.runtime.jobs

# Class JobChangeAdapter

java.lang.Object
org.eclipse.core.runtime.jobs.JobChangeAdapter

All Implemented Interfaces:
  `IJobChangeListener`

Direct Known Subclasses:
  `TeamOperation`

public class JobChangeAdapter extends Object implements IJobChangeListener
This adapter class provides default implementations for the methods described by the `IJobChangeListener` interface.

Classes that wish to listen to the progress of scheduled jobs can extend this class and override only the methods which they are interested in.

Since:
  3.0
See Also:
  - `IJobChangeListener`

## Constructor Summary

Constructors
Constructor
Description
`JobChangeAdapter()`

## Method Summary

Modifier and Type
Method
Description
`void`
`aboutToRun(IJobChangeEvent event)`
Notification that a job is about to be run.
`void`
`awake(IJobChangeEvent event)`
Notification that a job was previously sleeping and has now been rescheduled to run.
`void`
`done(IJobChangeEvent event)`
Notification that a job has completed execution, either due to cancelation, successful completion, or failure.
`void`
`running(IJobChangeEvent event)`
Notification that a job has started running.
`void`
`scheduled(IJobChangeEvent event)`
Notification that a job is being added to the queue of scheduled jobs.
`void`
`sleeping(IJobChangeEvent event)`
Notification that a job was waiting to run and has now been put in the sleeping state.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JobChangeAdapter

public JobChangeAdapter()

## Method Details

### aboutToRun

public void aboutToRun(IJobChangeEvent event)
Description copied from interface: `IJobChangeListener`

Notification that a job is about to be run. Listeners are allowed to sleep, cancel, or change the priority of the job before it is started (and as a result may prevent the run from actually occurring).

Implementations should not block and return promptly.

Specified by:
  `aboutToRun` in interface `IJobChangeListener`
Parameters:
  `event` - the event details

### awake

public void awake(IJobChangeEvent event)
Description copied from interface: `IJobChangeListener`

Notification that a job was previously sleeping and has now been rescheduled to run.

Implementations should not block and return promptly.

Specified by:
  `awake` in interface `IJobChangeListener`
Parameters:
  `event` - the event details

### done

public void done(IJobChangeEvent event)
Description copied from interface: `IJobChangeListener`

Notification that a job has completed execution, either due to cancelation, successful completion, or failure. The event status object indicates how the job finished, and the reason for failure, if applicable.

Implementations should not block and return promptly.

Specified by:
  `done` in interface `IJobChangeListener`
Parameters:
  `event` - the event details

### running

public void running(IJobChangeEvent event)
Description copied from interface: `IJobChangeListener`

Notification that a job has started running.

Implementations should not block and return promptly.

Specified by:
  `running` in interface `IJobChangeListener`
Parameters:
  `event` - the event details

### scheduled

public void scheduled(IJobChangeEvent event)
Description copied from interface: `IJobChangeListener`

Notification that a job is being added to the queue of scheduled jobs. The event details includes the scheduling delay before the job should start running.

Implementations should not block and return promptly.

Specified by:
  `scheduled` in interface `IJobChangeListener`
Parameters:
  `event` - the event details, including the job instance and the scheduling delay

### sleeping

public void sleeping(IJobChangeEvent event)
Description copied from interface: `IJobChangeListener`

Notification that a job was waiting to run and has now been put in the sleeping state.

Implementations should not block and return promptly.

Specified by:
  `sleeping` in interface `IJobChangeListener`
Parameters:
  `event` - the event details